/*
    Aufgabe3) Schleifen und Methoden
    Erweitern Sie die Klasse "Aufgabe3" um die statische Methode "isSumDiv", die Zahlen zwischen einem Intervall
    aufsummiert und prüft ob diese Summe durch eine weitere Zahl teilbar ist.
    - Der Methode werden zwei ganzzahlige Zahlen als Intervallgrenzen übergeben (beide Grenzen werden inklusive verwendet
      und start < end).
    - Der Methode wird eine weitere ganzzahlige Zahl als Divisor übergeben.
    - Die Methode liefert den boolschen Wert "true" zurück, falls die Summe aller Zahlen im Intervall durch den
      übergebenen Divisor teilbar ist, ansonsten "false".

    Zusatzfragen:
    1) Warum verwendet man im allgmeinen Methoden? Warum nicht alles direkt in "main" programmieren?
        Mit Methoden können Abläufe leicht verändert werden, ohne in das Hauptprogramm einzugreifen. Auch kann diese
        an mehreren Stellen eingesetzt werden und man muss dann nicht immer den selben Code kopieren.

    2) Darf eine Methode mehr als eine return-Anweisung enthalten?
        Ja, darf sie

*/
public class Aufgabe3 {

    // TODO: Implementierung der Methode.
    public static boolean isSumDiv(int von, int bis, int divisor) {

        int sum = 0;

        //wenn von > bis return false ... steht NICHT !!!  in der angabe und kann nur durch Test-Quellcode
        // herausgefunden  werden
        if (von > bis) return false;
        // bei div/0 return false s.o.
        if (divisor == 0) return false;

        /* alternativ zu zeile 29 + 31:
         if (von > bis || divisor == 0) return false;
        */
        
        for (int i = von; i <= bis; i++) {
            sum += i;
        }

        if (sum%divisor == 0) return true;
        return false;

        /* alternative zu Zeile 41 + 42 (ternärer operator):
         return (sum % divisor == 0 ? true : false);
        */
    }

    public static void main(String[] args) {
        //Test
        System.out.println(isSumDiv(6,1,1));
        System.out.println(isSumDiv(1,6,0));
    }
}
